plugins {
    id 'java'
}

group 'com.actionsoft'
version '1.0-SNAPSHOT'

repositories {
    mavenCentral()
}

dependencies {
    //必须绝对路径,bin/patch目录下的jar
    def patchlib = fileTree(dir: 'D:\\Actionsoft\\aws7\\bin\\patch', includes: ['**\\*.jar'])
    //必须绝对路径,bin/lib目录
    def binLib = fileTree(dir: 'D:\\Actionsoft\\aws7\\bin\\lib', includes: ['**\\*.jar'])
    //必须绝对路径，bin/jdbc目录。排除inceptor-driver-8.16.0.jar（因为里面包含了和common-io jar冲突的类导致编译报错
    def jdbc = fileTree(dir: 'D:\\Actionsoft\\aws7\\bin\\jdbc', includes: ['**\\*.jar']).exclude('inceptor-driver-8.16.0.jar')

    def lib2 = fileTree(dir: 'D:\\Actionsoft\\aws7\\apps\\install\\com.awspaas.user.apps.bnbm.datalinkup\\lib', includes: ['**\\*.jar'])
    implementation  lib2

    implementation patchlib
    implementation binLib
    implementation jdbc

    //当前应用的lib， 如果应用引用了三方jar包，建意提前下载手动拷贝到应用lib(%AWS_HOME%/apps/install/APPID/lib)目录下
    def lib = fileTree(dir: project.projectDir.toString() + '\\lib', includes: ['**\\*.jar'])
    implementation  lib
}

test {
    useJUnitPlatform()
}